Update API Path
Project-scoped operation. Requires the api_security add-on. Successful JSON and status-only responses vary by operation. The service does not declare a stable response schema for this operation; do not assume a collection envelope or undocumented fields.
PATCH
/
shield
/
domains
/
{domain_id}
/
api-paths
/
{path_id}
Update API Path
curl --request PATCH \
--url https://api.aptranet.com/shield/domains/{domain_id}/api-paths/{path_id} \
--header 'Aptranet-Secret: <api-key>' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"path": "/api/v1/paths/{path_id}",
"tags": [
"<string>"
],
"api_groups": [
"<string>"
]
}
'import requests
url = "https://api.aptranet.com/shield/domains/{domain_id}/api-paths/{path_id}"
payload = {
"path": "/api/v1/paths/{path_id}",
"tags": ["<string>"],
"api_groups": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Aptranet-Secret": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
Authorization: 'Bearer <token>',
'Aptranet-Secret': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({path: '/api/v1/paths/{path_id}', tags: ['<string>'], api_groups: ['<string>']})
};
fetch('https://api.aptranet.com/shield/domains/{domain_id}/api-paths/{path_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aptranet.com/shield/domains/{domain_id}/api-paths/{path_id}"
payload := strings.NewReader("{\n \"path\": \"/api/v1/paths/{path_id}\",\n \"tags\": [\n \"<string>\"\n ],\n \"api_groups\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Aptranet-Secret", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"error": "<string>",
"error_description": "<string>"
}Authorizations
Project API access key.
Current secret for the access key.
Body
application/json
Response
Successful response.
Update API Path
curl --request PATCH \
--url https://api.aptranet.com/shield/domains/{domain_id}/api-paths/{path_id} \
--header 'Aptranet-Secret: <api-key>' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"path": "/api/v1/paths/{path_id}",
"tags": [
"<string>"
],
"api_groups": [
"<string>"
]
}
'import requests
url = "https://api.aptranet.com/shield/domains/{domain_id}/api-paths/{path_id}"
payload = {
"path": "/api/v1/paths/{path_id}",
"tags": ["<string>"],
"api_groups": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Aptranet-Secret": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
Authorization: 'Bearer <token>',
'Aptranet-Secret': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({path: '/api/v1/paths/{path_id}', tags: ['<string>'], api_groups: ['<string>']})
};
fetch('https://api.aptranet.com/shield/domains/{domain_id}/api-paths/{path_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aptranet.com/shield/domains/{domain_id}/api-paths/{path_id}"
payload := strings.NewReader("{\n \"path\": \"/api/v1/paths/{path_id}\",\n \"tags\": [\n \"<string>\"\n ],\n \"api_groups\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Aptranet-Secret", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"error": "<string>",
"error_description": "<string>"
}